;--------------------------------------------------------------------------------------------------
; Filename         : VAR.ASM 	  
; Last Modified    : 23 Jan 2002.
; Version          : 1.3
; Originator       : Texas Instruments, DSP Digital Control Systems Group.
;--------------------------------------------------------------------------------------------------
;--------------------------------------------------------------------------------------------------
; Description:
;
; This file contains the instantiations for the variables required in the flash
; programming algorithms for the TMS320LF240x.
;--------------------------------------------------------------------------------------------------
;--------------------------------------------------------------------------------------------------
; Revision History
; 
; Ver 1.0 (25 May 2001)
; 
;           Comments: Derived from previous source code. Several modifications in place for 
;                     enhanced embeddability.
; Ver 1.1 (10 Aug 2001)
;           Comments: No changes to this file. Changed version number only.
;
; Ver 1.2 (16 Oct 2001)
;           Comments: Fixed filename at top of file.
; Ver 1.3 (23 Jan 2002)
;           Comments: Added a CR to the last line in the file.
;--------------------------------------------------------------------------------------------------
; Symbols exported from this file
;-------------------------------------------------------------------------------
; Publish two symbols one without the '_' and one with the '_' so that the 
; symbol is available to the C language calling functions as well as 
; asm functions in a convenient form.        
        .globl  flashAlgoVars
        .globl  _flashAlgoVars 

;-------------------------------------------------------------------------------
; Import the flash variable structure definitions (and any other things in 
; VAR.H
;-------------------------------------------------------------------------------
        .include "..\include\var.h"

;-------------------------------------------------------------------------------
; Data sections generated by this file:
; The data variables instanced in this file are placed in a named section called
; .flshvar
;-------------------------------------------------------------------------------


flashAlgoVars .usect ".flshvar",flshvar_len,1
_flashAlgoVars .set flashAlgoVars

